Package org.springframework.jdbc.datasource.embedded

# Class EmbeddedDatabaseConfigurerDelegate

java.lang.Object
org.springframework.jdbc.datasource.embedded.EmbeddedDatabaseConfigurerDelegate

All Implemented Interfaces:
  `EmbeddedDatabaseConfigurer`

public class EmbeddedDatabaseConfigurerDelegate extends Object
An `EmbeddedDatabaseConfigurer` delegate that can be used to customize the embedded database.

Since:
  6.2
Author:
  Stephane Nicoll

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final org.apache.commons.logging.Log`
`logger`

## Constructor Summary

Constructors
Constructor
Description
`EmbeddedDatabaseConfigurerDelegate(EmbeddedDatabaseConfigurer target)`

## Method Summary

Modifier and Type
Method
Description
`void`
`configureConnectionProperties(ConnectionProperties properties, String databaseName)`
Configure the properties required to create and connect to the embedded database.
`void`
`shutdown(DataSource dataSource, String databaseName)`
Shut down the embedded database instance that backs the supplied `DataSource`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### logger

protected final org.apache.commons.logging.Log logger

## Constructor Details

### EmbeddedDatabaseConfigurerDelegate

public EmbeddedDatabaseConfigurerDelegate(EmbeddedDatabaseConfigurer target)

## Method Details

### configureConnectionProperties

public void configureConnectionProperties(ConnectionProperties properties, String databaseName)
Description copied from interface: `EmbeddedDatabaseConfigurer`
Configure the properties required to create and connect to the embedded database.

Parameters:
  `properties` - connection properties to configure
  `databaseName` - the name of the embedded database

### shutdown

public void shutdown(DataSource dataSource, String databaseName)
Description copied from interface: `EmbeddedDatabaseConfigurer`
Shut down the embedded database instance that backs the supplied `DataSource`.

Specified by:
  `shutdown` in interface `EmbeddedDatabaseConfigurer`
Parameters:
  `dataSource` - the corresponding `DataSource`
  `databaseName` - the name of the database being shut down